aboutsummaryrefslogtreecommitdiffhomepage
path: root/tools
diff options
context:
space:
mode:
Diffstat (limited to 'tools')
-rw-r--r--tools/clang-format/config.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/tools/clang-format/config.sh b/tools/clang-format/config.sh
index b7168ab2e3..3adf2678e7 100644
--- a/tools/clang-format/config.sh
+++ b/tools/clang-format/config.sh
@@ -1 +1,11 @@
CLANG_FORMAT=clang-format-3.5
+
+set -ex
+
+if not hash $CLANG_FORMAT 2>/dev/null; then
+ echo "$CLANG_FORMAT is needed but not installed"
+ echo "perhaps try:"
+ echo " sudo apt-get install $CLANG_FORMAT"
+ exit 1
+fi
+